import ParameterTypes from "@site/src/components/ParameterTypes"

# FilterableStockLocationProps

The filters to apply on the retrieved stock locations.

## Properties

<ParameterTypes parameters={[
  {
    "name": "id",
    "type": "`string` \\| `string`[]",
    "description": "The IDs to filter stock locations by.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "name",
    "type": "`string` \\| `string`[] \\| [StringComparisonOperator](stock_location.StringComparisonOperator.mdx)",
    "description": "The names to filter stock locations by.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
